rpms/firefox/devel firefox.sh.in,1.35,1.36 firefox.spec,1.350,1.351

Martin Stransky stransky at fedoraproject.org
Tue Jan 5 13:37:25 UTC 2010


Author: stransky

Update of /cvs/pkgs/rpms/firefox/devel
In directory cvs1.fedora.phx.redhat.com:/tmp/cvs-serv23679

Modified Files:
	firefox.sh.in firefox.spec 
Log Message:
Removed MOZ_LOCAL_LANGPACKS from browser launcher script (#284011)


Index: firefox.sh.in
===================================================================
RCS file: /cvs/pkgs/rpms/firefox/devel/firefox.sh.in,v
retrieving revision 1.35
retrieving revision 1.36
diff -u -p -r1.35 -r1.36
--- firefox.sh.in	25 Nov 2009 15:17:54 -0000	1.35
+++ firefox.sh.in	5 Jan 2010 13:37:24 -0000	1.36
@@ -154,25 +154,14 @@ export GNOME_DISABLE_CRASH_DIALOG
 #
 
 ##
-## Fedora enables you to install custom language packs at firefox extension
-## directory (specified by MOZ_EXTENSIONS_PROFILE_DIR). To enable Firefox 
-## custom localization, set MOZ_LOCAL_LANGPACKS=1 in your environment
-## before launching Firefox.
+## Automatically installed langpacks are tracked by .fedora-langpack-install
+## config file.
 ##
-#
-# MOZ_LOCAL_LANGPACKS=1
-# export MOZ_LOCAL_LANGPACKS
-#
+FEDORA_LANGPACK_CONFIG="$MOZ_EXTENSIONS_PROFILE_DIR/.fedora-langpack-install"
 
 # check system locale
 MOZARGS=
 
-# Clear existing locale settings unless MOZ_LOCAL_LANGPACKS is set
-mkdir -p $MOZ_EXTENSIONS_PROFILE_DIR
-if ! [ $MOZ_LOCAL_LANGPACKS ] || [ $MOZ_LOCAL_LANGPACKS -eq 0 ]; then
-    find $MOZ_EXTENSIONS_PROFILE_DIR -maxdepth 1 -name "langpack-*@firefox.mozilla.org" -delete;
-fi
-
 # MOZ_DISABLE_LANGPACKS disables language packs completelly
 MOZILLA_DOWN=0
 if ! [ $MOZ_DISABLE_LANGPACKS ] || [ $MOZ_DISABLE_LANGPACKS -eq 0 ]; then
@@ -187,37 +176,45 @@ fi
 # and language packs are not disabled
 if [ $MOZILLA_DOWN -ne 0 ]; then
 
-    # Enable local language pack (located in user extension directory)
-    if [ $MOZ_LOCAL_LANGPACKS ] && [ $MOZ_LOCAL_LANGPACKS -ne 0 ]; then
-        # Try without a local variant first, then with a local variant
-        # So that pt-BR doesn't try to use pt for example
-        SHORTMOZLOCALE=`echo $LC_MESSAGES | sed "s|_\([^.]*\).*||g"`
-        if [ -f $MOZ_EXTENSIONS_PROFILE_DIR/langpack-${SHORTMOZLOCALE}@firefox.mozilla.org/chrome/$SHORTMOZLOCALE.jar ]; then
-            MOZARGS="-UILocale $SHORTMOZLOCALE"
-        else
-            MOZLOCALE=`echo $LC_MESSAGES | sed "s|_\([^.]*\).*|-\1|g"`
-            if [ -f $MOZ_EXTENSIONS_PROFILE_DIR/langpack-${MOZLOCALE}@firefox.mozilla.org/chrome/$MOZLOCALE.jar ]; then
-                MOZARGS="-UILocale $MOZLOCALE"
-            fi
+    # Clear already installed langpacks
+    mkdir -p $MOZ_EXTENSIONS_PROFILE_DIR
+    if [ -f $FEDORA_LANGPACK_CONFIG ]; then
+        rm `cat $FEDORA_LANGPACK_CONFIG`
+        rm $FEDORA_LANGPACK_CONFIG
+    fi
+    
+    # Try without a local variant first, then with a local variant
+    # So that pt-BR doesn't try to use pt for example
+    SHORTMOZLOCALE=`echo $LC_MESSAGES | sed "s|_\([^.]*\).*||g"`
+    MOZLOCALE=`echo $LC_MESSAGES | sed "s|_\([^.]*\).*|-\1|g"`
+
+    # Try to link global langpacks to an extension directory
+    if [ -f $MOZ_LANGPACKS_DIR/langpack-${SHORTMOZLOCALE}@firefox.mozilla.org/chrome/$SHORTMOZLOCALE.jar ]; then
+        if [ -d $MOZ_EXTENSIONS_PROFILE_DIR/langpack-${SHORTMOZLOCALE}@firefox.mozilla.org ]; then
+            rmdir "$MOZ_EXTENSIONS_PROFILE_DIR/langpack-${SHORTMOZLOCALE}@firefox.mozilla.org"
+        fi 
+        if ! [ -e $MOZ_EXTENSIONS_PROFILE_DIR/langpack-${SHORTMOZLOCALE}@firefox.mozilla.org ]; then
+            ln -s $MOZ_LANGPACKS_DIR/langpack-${SHORTMOZLOCALE}@firefox.mozilla.org \
+            	  $MOZ_EXTENSIONS_PROFILE_DIR/langpack-${SHORTMOZLOCALE}@firefox.mozilla.org
+            echo "$MOZ_EXTENSIONS_PROFILE_DIR/langpack-${SHORTMOZLOCALE}@firefox.mozilla.org" > $FEDORA_LANGPACK_CONFIG
         fi
+    elif [ -f $MOZ_EXTENSIONS_DIR/langpack-${MOZLOCALE}@firefox.mozilla.org/chrome/$MOZLOCALE.jar ]; then
+        if [ -d $MOZ_EXTENSIONS_PROFILE_DIR/langpack-${MOZLOCALE}@firefox.mozilla.org ]; then
+            rmdir "$MOZ_EXTENSIONS_PROFILE_DIR/langpack-${MOZLOCALE}@firefox.mozilla.org"
+        fi 
+        if ! [ -e $MOZ_EXTENSIONS_PROFILE_DIR/langpack-${MOZLOCALE}@firefox.mozilla.org ]; then
+            ln -s $MOZ_LANGPACKS_DIR/langpack-${MOZLOCALE}@firefox.mozilla.org \
+                  $MOZ_EXTENSIONS_PROFILE_DIR/langpack-${MOZLOCALE}@firefox.mozilla.org
+            echo "$MOZ_EXTENSIONS_PROFILE_DIR/langpack-${MOZLOCALE}@firefox.mozilla.org" > $FEDORA_LANGPACK_CONFIG
+        fi
+    fi
 
-    # Enable globally installed language pack (located in firefox 
-    # installation directory)
+    # And set it up for mozilla
+    if [ -f $MOZ_EXTENSIONS_PROFILE_DIR/langpack-${SHORTMOZLOCALE}@firefox.mozilla.org/chrome/$SHORTMOZLOCALE.jar ]; then
+        MOZARGS="-UILocale $SHORTMOZLOCALE"
     else
-        # Try without a local variant first, then with a local variant
-        # So that pt-BR doesn't try to use pt for example
-        SHORTMOZLOCALE=`echo $LC_MESSAGES | sed "s|_\([^.]*\).*||g"`
-        if [ -f $MOZ_LANGPACKS_DIR/langpack-${SHORTMOZLOCALE}@firefox.mozilla.org/chrome/$SHORTMOZLOCALE.jar ]; then
-            MOZARGS="-UILocale $SHORTMOZLOCALE"
-            ln -s $MOZ_LANGPACKS_DIR/langpack-${SHORTMOZLOCALE}@firefox.mozilla.org \
-                  $MOZ_EXTENSIONS_PROFILE_DIR/langpack-${SHORTMOZLOCALE}@firefox.mozilla.org
-        else      
-            MOZLOCALE=`echo $LC_MESSAGES | sed "s|_\([^.]*\).*|-\1|g"`
-            if [ -f $MOZ_EXTENSIONS_DIR/langpack-${MOZLOCALE}@firefox.mozilla.org/chrome/$MOZLOCALE.jar ]; then
-                MOZARGS="-UILocale $MOZLOCALE"
-                ln -s $MOZ_LANGPACKS_DIR/langpack-${MOZLOCALE}@firefox.mozilla.org \
-                      $MOZ_EXTENSIONS_PROFILE_DIR/langpack-${MOZLOCALE}@firefox.mozilla.org
-            fi
+        if [ -f $MOZ_EXTENSIONS_PROFILE_DIR/langpack-${MOZLOCALE}@firefox.mozilla.org/chrome/$MOZLOCALE.jar ]; then
+            MOZARGS="-UILocale $MOZLOCALE"
         fi
     fi
 fi


Index: firefox.spec
===================================================================
RCS file: /cvs/pkgs/rpms/firefox/devel/firefox.spec,v
retrieving revision 1.350
retrieving revision 1.351
diff -u -p -r1.350 -r1.351
--- firefox.spec	21 Dec 2009 10:25:53 -0000	1.350
+++ firefox.spec	5 Jan 2010 13:37:25 -0000	1.351
@@ -20,7 +20,7 @@
 Summary:        Mozilla Firefox Web browser
 Name:           firefox
 Version:        3.6.1
-Release:        0.7.%{?prever}%{?dist}
+Release:        0.8.%{?prever}%{?dist}
 URL:            http://www.mozilla.org/projects/firefox/
 License:        MPLv1.1 or GPLv2+ or LGPLv2+
 Group:          Applications/Internet
@@ -346,6 +346,9 @@ gtk-update-icon-cache %{_datadir}/icons/
 #---------------------------------------------------------------------
 
 %changelog
+* Tue Jan 5 2009 Martin Stransky <stransky at redhat.com> - 3.6.1-0.8.b4
+- Removed MOZ_LOCAL_LANGPACKS from browser launcher script (#284011)
+
 * Mon Dec 21 2009 Martin Stransky <stransky at redhat.com> - 3.6.1-0.7.b4
 - Update to 3.6.1 Beta 5
 




More information about the fedora-extras-commits mailing list